Status: Resolved Start date: 15 March 2016
Priority: Normal Due date:
Assignee: % Done: 100%
Category: server Web Service Estimated time: 4.00 hours
Target version: Psychotest2 Spent time: 4.00 hours
Description

Potrebuji vytvorit prikaz ADMINEAMIL - potrebny pro administraci provadenych testu (informace o odpovedich)

tvar:
adminemail email funkce

eamil - libovolny emali, na ktery si zada administrator zasilat data

funkce prikazu:
defaultni: 
- zaslani informaci a vysledkove tabulky na email (obecne vzdy po ukonceni testu a vzdy po preruseni testu (PAUSE))

rozsurene funkce (prozatim neni potreba) - do uvahy mohou byt i zasladi spravy pri spusteni testu

POSILANE INFORMACE:
- do predmetu: NAZEV TESTU  + forma + ID

- forma (RESULTS  nebo PAUSED) - podle toho jestli byly cele vysledky, nebo jenom pausnute
- ID je identifikacni cislo respondenta (lepe se pak orientuje, koli lidi odpovedelo, a kolik jenom prerusilo test)

- do prilohy: results.csv

- idelane by bylo. kdyby mela vysledkova priloha jiz jmeno testu + ID

PRIPADNE DALSI FUNKCE BUDOU DOPSANY POZDEJI

History
#1 - 13 January 2017 03:51 - Marek Frič
- Priority changed from Normal to Urgent

#2 - 26 January 2017 18:34 - Tomáš Kulhánek
- Category set to server Web Service
- Status changed from New to Resolved
- Priority changed from Urgent to Normal
- Target version set to Psychotest2
- % Done changed from 0 to 100
- Estimated time set to 4.00

implementovano s temito zmenami
1) neni zadny novy prikaz ADMINEMAIL
2) email se posila na adresu, kterou ma zaregistrovanou uzivatel s roli editor ve svem uctu 
3) posila se jen odkaz na vysledek
4) u pauznuteho se posila JSON format pauznuteho vysledku
5) v odkazu je results.csv - ktere se nyni jiz generuje s nastavenym nazvem results-testxxx.csv

Duvod: CSV se generuje v prohlizeci nikoliv na serveru. Pokud by mel generovat i server - musela by se funkcionalita prepsat na serveru - dalsi hodiny
prace. U pauznuteho neni serverovy kod pro konverzi do CSV - posila se JSON format.

#3 - 26 January 2017 18:37 - Tomáš Kulhánek

format emailu:

Results 841 of test demoGRBAS is available to download. Use the link bellow:
http://physiome.lf1.cuni.cz/psychoacoustictest/Editor_pages/Editor.aspx#demoGRBAS

#4 - 26 January 2017 18:44 - Tomáš Kulhánek

drobnost: kdyz clovek neni zalogovany tak ho to nepresmeruje spravne na vysledek. Nutno kliknout na odkaz jeste jednou.

#5 - 27 January 2017 07:31 - Marek Frič

Ano odzkouseno, (usi byt skutecne prihlaseny) - urcite je to lepsi nez bylo doposud, informace o testu tedy prijde.
?? nedal by se do ukladani automaticky vlozit datum a cas?

#6 - 05 February 2017 08:57 - Tomáš Kulhánek

datum a cas = datum a  cas emailu. Email se odesle presne v dobu kdy se pauzne, ulozi vysledek. Je potreba tuto informaci duplicitne napsat i do
textu emailu?
